{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receipts</title>
</head>
<body>
    <header>
        <nav>
            <ul>
                {% if user.is_authenticated %}
                    <li><a href="{% url 'logout' %}">Logout</a></li>
                    <li><a href="{% url 'home' %}">Home</a></li>
                    <li><a href="{% url 'create_receipt' %}">Create Receipt</a></li>
                    <li><a href="{% url 'category_list' %}">Category List</a></li>
                    <li><a href="{% url 'account_list' %}">Account List</a></li>
                    <li><a href="{% url 'create_account' %}">Create Account</a></li>
                    <li><a href="{% url 'create_category' %}">Create Category</a></li>
                {% else %}
                    <li><a href="{% url 'signup' %}">Sign Up</a></li>
                    <li><a href="{% url 'login' %}">Login</a></li>
                {% endif %}
            </ul>
        </nav>
    </header>
    <main>
        <h1>My Accounts</h1>
        <table>
            <tr>
                <th>Name</th>
                <th>Number</th>
                <th>Num. of Receipts</th>
            </tr>
            {% for account in account_list %}
                <tr>
                    <td>{{ account.name }}</td>
                    <td>{{ account.number }}</td>
                    {% for receipt in receipt_list%}
                        <td>{{ receipt.objects.all.count }}</td>
                    {% endfor %}
                </tr>
            {% endfor %}
        </table>
    </main>
</body>
</html>
